1. #1
    Sencha User
    Join Date
    Jun 2012
    Posts
    19
    Vote Rating
    0
    sid_universe is on a distinguished road

      0  

    Default issue with the GeoExt Build while migrating from 3.X to 4.X

    issue with the GeoExt Build while migrating from 3.X to 4.X


    Hello Guys

    We are migrating our application from GeoExt 0.7 to 2.0 and ExtJS to 3.3.0 to 4.1.0.
    We downloaded the 2.1.0 from the Sencha link however I see there is no build folder available so copied it from the 0.7 folder which was already with us.

    When we try to build 2.0 we found that its not working at all. When we compared tGeoExt 0.7 and 2.0 we come to know that the directory stucture is totally changed and may be becouse of that the old build script is not working with the newer version.

    It would be great help if any body has any idea abt the new build script for the new frame work that is GeoExt 2.0

    Regards
    Sid

  2. #2
    Sencha - Support Team scottmartin's Avatar
    Join Date
    Jul 2010
    Location
    Houston, Tx
    Posts
    8,990
    Vote Rating
    455
    scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future

      0  

    Default


    As you found out, copying the older files is futile.
    Have you tried to contact anyone from GeoExt in the meantime?


    Scott.

  3. #3
    Sencha User
    Join Date
    Jun 2012
    Posts
    19
    Vote Rating
    0
    sid_universe is on a distinguished road

      0  

    Default


    Hi Scott

    Thanks for your reply.
    We haven't contected anyone from GeoExt so far.

    Kindly let me know if the build script is available somewhere for the new framework, or atleast what changes we should make so that it run properly.

    Regards
    Sid

  4. #4
    Sencha User
    Join Date
    Jun 2012
    Posts
    19
    Vote Rating
    0
    sid_universe is on a distinguished road

      0  

    Default


    Hi

    We are still trying to find the fix as problem is not resolved yet.

    However we checked that the GeoExt 2.0 build script is working with ExtJS 3.3.0 but when we changed the reference to ExtJs 4.1.0 it doesn't work.

    We are getting below error.
    :
    :
    :
    ../lib GeoExt/container/VectorLegend.js
    ../lib GeoExt/container/UrlLegend.js
    ../lib GeoExt/slider/Zoom.js
    ../lib GeoExt/slider/LayerOpacity.js
    ../lib GeoExt/slider/Tip.js
    ../lib OpenLayers/Layer/WMS.js
    Traceback (most recent call last):
    File "/usr/bin/jsbuild", line 7, in ?
    sys.exit(
    File "<string>", line 2, in build
    File "/usr/lib/python2.4/site-packages/JSTools-0.1b-py2.4.egg/jstools/utils.py", line 20, in _caller
    return func(args, options, optparser)
    File "/usr/lib/python2.4/site-packages/JSTools-0.1b-py2.4.egg/jstools/build.py", line 53, in build
    out = merger.run(uncompressed=options.uncompress, single=options.single_file)
    File "/usr/lib/python2.4/site-packages/JSTools-0.1b-py2.4.egg/jstools/merge.py", line 149, in run
    merged = self.merge(cfg)
    File "/usr/lib/python2.4/site-packages/JSTools-0.1b-py2.4.egg/jstools/merge.py", line 77, in merge
    files[path] = self.make_sourcefile(sourcedir, path, exclude)
    File "/usr/lib/python2.4/site-packages/JSTools-0.1b-py2.4.egg/jstools/merge.py", line 55, in make_sourcefile
    return SourceFile(sourcedir, filepath, exclude)
    File "/usr/lib/python2.4/site-packages/JSTools-0.1b-py2.4.egg/jstools/merge.py", line 183, in __init__
    self.source = open(os.path.join(sourcedir, filepath), "U").read()
    IOError: [Errno 2] No such file or directory: '../lib/OpenLayers/Layer/WMS.js'




    Regards
    Siddharth

  5. #5
    Sencha - Support Team scottmartin's Avatar
    Join Date
    Jul 2010
    Location
    Houston, Tx
    Posts
    8,990
    Vote Rating
    455
    scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future

      0  

    Default


    I understand your problem, but the immediate problem seems to be the GeoExt seems to be not compatible with ExtJS4. You will need to contact them and find out if they plan to support ExtJS4 directly.

    Scott.

  6. #6
    Sencha User
    Join Date
    Jun 2012
    Posts
    19
    Vote Rating
    0
    sid_universe is on a distinguished road

      0  

    Default


    We checked with GeoExt and its compatible with ExtJs 4.1.0

  7. #7
    Sencha - Support Team scottmartin's Avatar
    Join Date
    Jul 2010
    Location
    Houston, Tx
    Posts
    8,990
    Vote Rating
    455
    scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future

      0  

    Default


    Where is the link for the 4.1 compatible version.

    Scott.

  8. #8
    Sencha User
    Join Date
    Jun 2012
    Posts
    19
    Vote Rating
    0
    sid_universe is on a distinguished road

      0  

    Default


    You can find the details in below link.
    http://geoext.blogspot.com/

  9. #9
    Sencha - Support Team scottmartin's Avatar
    Join Date
    Jul 2010
    Location
    Houston, Tx
    Posts
    8,990
    Vote Rating
    455
    scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future scottmartin has a brilliant future

      0  

    Default


    I appreciate your information, but I would still like the result of you asking GeoExt about this error since they are responsible for this product.

    From your original post, I gather the build is where it is falling apart, and it seems to be related to loading 3rd party code from the list of error files. Have you tried creating a simple build project and see of it works, then slowly adding items that exist in your build file to see what is causing this?

    Hopefully someone with experience with this product can jump in and help.

    Regards,
    Scott

Thread Participants: 1

Tags for this Thread